* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

body {
  background-color: gray;
  font-family: Arial, Helvetica, sans-serif;
  letter-spacing: 0.6px;
}

.container-title {
  width: 100%;
  display: flex;
  justify-content: center;
}

.title {
  position: fixed;
  width: 100%;
  top: 0;
  background-color: azure;
  border-bottom-left-radius: 4px;
  border-bottom-right-radius: 4px;
}

.title h1 {
  text-align: center;
  font-size: 2.5rem;
  padding: 5px 0;
  background: linear-gradient(to top, #4043ce 0%, #a0c0fa 100%);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

nav main {
  width: 100%;
  display: flex;
  justify-content: center;
}

nav .navbar {
  position: fixed;
  width: 100%;
  bottom: 0;
  display: flex;
  background-color: azure;
  padding: 15px 0;
  justify-content: space-evenly;
  align-items: center;
  box-shadow: -1px -1px 100px rgb(61, 55, 55);
  border-top-left-radius: 4px;
  border-top-right-radius: 4px;
}

nav a {
  text-decoration: none;
  padding: 10px;
  background-color: rgb(127, 106, 245);
  border-radius: 4px;
  color: azure;
  font-weight: 500;
}

nav button {
  width: 30px;
  height: 30px;
  border-radius: 50%;
  outline: none;
  border: none;
  color: azure;
  font-size: 1.4rem;
  font-weight: 700;
  background-color: rgb(127, 106, 245);
  cursor: pointer;
}

nav button:hover,
nav a:hover {
  background-color: rgb(163, 149, 243);
}

.container {
  width: 100%;
  height: 100%;
  padding: 10px;
}

.cards {
  margin: 80px 0;
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  gap: 12px;
}

.card,
.form-add-pantun {
  padding: 12px;
  width: 95%;
  font-size: 1.5rem;
  letter-spacing: 0.6px;
  background-color: azure;
  display: inline-block;
  border-radius: 4px;
  margin: auto;
  box-shadow: 2px 2px 6px rgb(61, 55, 55);
  text-align: c;
}

.container-form-add-pantun {
  position: fixed;
  background-color: rgba(0, 0, 0, 0.5);
  width: 100vw;
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 1;
}

.form-add-pantun {
  position: relative;
  display: block;
  padding: 40px;
}

.form-add-pantun input {
  padding: 12px 13px;
  border-radius: 4px;
  outline: none;
  border: 3px solid rgb(71, 71, 71);
  font-size: 18px;
  width: 100%;
  margin-bottom: 12px;
}

.form-add-pantun .buat {
  margin-top: 10px;
  padding: 14px 15px;
  font-size: 18px;
  background-color: #41ff41;
  border: none;
  border-radius: 8px;
  cursor: pointer;
}

.close-form-add-pantun {
  cursor: pointer;
  position: absolute;
  background-color: #fa6c6c;
  width: 22px;
  height: 22px;
  text-align: center;
  line-height: 22px;
  font-size: 1rem;
  font-weight: 200;
  border-radius: 50%;
  color: azure;
  top: 5px;
  right: 5px;
}

.close-form-add-pantun:hover {
  background-color: rgb(253, 163, 163);
}

.form-add-pantun,
.container-form-add-pantun {
  display: none;
}

.display-block-form-add-pantun {
  display: block;
}

.display-flex-container-form-add-pantun {
  display: flex;
}

.card .jumlah-bait {
  display: inline-block;
  padding: 5px;
  font-size: 16px;
  background-color: rgb(130, 243, 130);
  border-radius: 4px;
}

.card .author {
  display: inline-block;
  padding: 5px;
  font-size: 16px;
  background-color: rgb(194, 245, 77);
  border-radius: 4px;
  font-weight: 600;
}

.card .content {
  padding: 10px 0;
}

.card p {
  margin-bottom: 8px;
}

.card .bait {
  display: flex;
  gap: 4px;
}

@media only screen and (min-width: 600px) {
  .card, .form-add-pantun {
    width: 480px;
  }
}

@media only screen and (min-width: 600px) {
  nav .navbar,
  .title {
    width: 520px;
  }
}

@media only screen and (max-width: 500px) {
  .card .author {
    margin-top: 7px;
  }
}
